package com.liquidnet.service.sweet.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel
public class SweetManualArtistResourceUrlArDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 9217024935897257884L;

    @ApiModelProperty("url地址")
    private String url;
    @ApiModelProperty("类型1:图片 2：视频")
    private String type;

    private static final SweetManualArtistResourceUrlArDto obj = new SweetManualArtistResourceUrlArDto();

    public static SweetManualArtistResourceUrlArDto getNew() {
        try {
            return (SweetManualArtistResourceUrlArDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new SweetManualArtistResourceUrlArDto();
        }
    }

}
